import os

ISSUER: str = os.getenv('ISSUER')  # type: ignore

OAUTH2_TABLE: str = os.getenv('OAUTH2_TABLE')  # type: ignore
OAUTH2_REFRESH_TOKEN_EXPIRES_IN = 86_400 * 7  # 7 days
OAUTH2_SCOPES_SUPPORTED: list[str] = [
    'openid',
    'profile',
    'email',
    'offline_access',
    'apps:admin',
    'apps:studio',
    'apps:insights',
]

SESSION_EXPIRES_IN = 86_400 * 30  # 30 days
